Information about both playback tempo and how the tempo is notated.

### Hierarchy

- SmoMeasureModifierBase
  - SmoTempoText

### Implements

- SmoTempoTextParams

## Index

### Constructors

- constructor

### Methods

- eq

## Constructors

### constructor

- new SmoTempoText(parameters: null | SmoTempoTextParams): SmoTempoText

- Overrides SmoMeasureModifierBase.constructor

  - Defined in src/smo/data/measureModifiers.ts:724

  #### Parameters

  - ##### parameters: null | SmoTempoTextParams

  #### Returns SmoTempoText

## Methods

### Static eq

- eq(t1: SmoTempoText, t2: SmoTempoText): boolean

- - Defined in src/smo/data/measureModifiers.ts:664

  Return equality wrt the tempo marking, e.g. 2 allegro in textMode will be equal but an allegro and duration 120bpm will not.

  #### Parameters

  - ##### t1: SmoTempoText

  - ##### t2: SmoTempoText

  #### Returns boolean

Generated using TypeDoc